Subject: Re: cygwin 3.5.0 (test): find: ‘/dev/tty’: Bad address
From: Takashi Yano via Cygwin <[email-masked]>
To: [email-masked]
Cc: Bruce Jerrick <[email-masked]>
Date: Mon, 26 Jun 2023 20:35:20 +0900
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On Sun, 25 Jun 2023 04:44:39 -0700
Bruce Jerrick wrote:
> Since installing cygwin-3.5.0-0.307 (test), I get this error message
> from 'find':
> 
>   find: ‘/dev/tty’: Bad address
> 
> That can be reproduced by running 'find /dev/tty'.
> 'findutils' version is 4.9.0-1 (the latest; no test versions available).
> 
> I first noticed it when running 'updatedb' (it calls 'find').
> I have not tried any cygwin test versions prior to .307 .  It still
> happens with .315 .
> The message does not appear with cygwin 3.4.6 or 3.4.7 .
> 
> Machine is a WMware Player 17.0.2 virtual machine running Windows 11
> Home Ver 10.0 Build 22000,
>   on a Fedora Linux 64-bit host.

Thanks for the report. I looked into this problem and
found the cause. Let me consider hot to fix that.

-- 
Takashi Yano <[email-masked]>

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple